const fs = require('fs')
const { version } = require('./config')

module.exports = () => {
  let file_name = `${process.env.PWD}/package.json`
  if (fs.existsSync(file_name)) {
    let config = require(file_name)

    if (version) {
      config.version = version
    }

    contents = JSON.stringify(config, null, 2)
    fs.writeFileSync(file_name, contents)
  }
}