const fs = require('fs')
const path = require('path')
const chalk = require('chalk')
const through = require('through2')
const { PATH } = require('../config')

// let i = 0
// function getCode (index) {
//   let c = String.fromCharCode(1208 + parseInt(index + i))
//   if (!c.length || /\'|\`|\\/.test(c)) {
//     i++
//     return getCode(index)
//   }
//   return c
// }

module.exports = (uri) => {
  if (fs.existsSync(uri)) {
    const file = fs.readFileSync(uri, 'utf-8')
    let contents = file.toString()
    const keyclub = ['\\`', '\\', 'eval', 'html']
    const blacklist = []
    const keyword = [""]

    // contents = contents.replace(/(\`)/g, '\\$1')
    contents = contents.replace(/eval|\\|\`|\b(\w+)\b/g, function (key) {
      let index
      let code

      switch (key) {
        case '`':
          key = '\\`'
          break
        case '\\':
          key = '\\\\'
          break
      }

      if ((key.length > 10 || keyclub.indexOf(key) !== -1) && blacklist.indexOf(key) === -1) {
        index = keyword.indexOf(key)
        if (index === -1) {
          index = keyword.push(key) - 1
        }
      }

      return index === undefined ? key : `\${_[${index}]}`
    })

    contents = `
(function (_e, _) {
  _e(\`${contents}\`)
})(eval, ["${keyword.join('", "')}"])
    `
    fs.writeFileSync(uri, contents)
  }
}
