const gulp = require('gulp')
const path = require('path')
const watch = require('gulp-watch')
const through = require('through2')
const cssnano = require('gulp-cssnano')
const jsonp = require('./utils/jsonp')
const { PATH, CSS_SOURCE } = require('./config')

gulp
  .task('compile/style', (cb) => {
    gulp
      .src(CSS_SOURCE)
      .on('end', cb)
      .pipe(watch(CSS_SOURCE))
      .pipe(cssnano({
        safe: true
      }))
      .pipe(jsonp())
      .pipe(gulp.dest(PATH.static))
  })
