const path = require('path')
const through = require('through2')

module.exports = () => {
  return through.obj(function (file, enc, cb, contents) {
    let file_path = path.parse(file.path)
    if (file_path.name.indexOf('.jsonp') !== -1) {
      contents = file.contents.toString()
      contents = `
  source(\`${contents.replace(/(\`)/g, '\\\\\$1')}\`)
      `
      file.contents = new Buffer(contents)
      this.push(file)
    } else {
      this.push(file)
    }

    cb()
  })
}
